package net.sf.beanrunner;

import java.util.Collection;

import net.sf.beanrunner.BeanRunner;

import junit.framework.TestCase;

public class BeanRunnerTest extends TestCase {

	private BeanRunner beanRunner = new BeanRunner();
	private SimpleBean bean = new SimpleBean();
	
	public void testTestBean() throws Exception {
		beanRunner.testBean(bean); 
	}

	public void testExcludeProperty() throws Exception {
		beanRunner.excludeProperty("intValue");
		beanRunner.testBean(bean);
		assertEquals(bean.listIntValues().toString(), 0, bean.listIntValues().size());
		
	}

	public void testAddTestValue() throws Exception {
		String stringValue = BeanRunnerTest.class.getName();
		Integer intValue = new Integer(98765);

		beanRunner.addTestValue(String.class, stringValue);
		beanRunner.addTestValue(Integer.TYPE, intValue); 
		
		beanRunner.testBean(bean);
		
		Collection listStringValues = bean.listStringValues();
		Collection listIntValues = bean.listIntValues();
		assertTrue(listStringValues.contains(stringValue));
		assertTrue(listIntValues.contains(intValue));
	}
	
}
