package net.sf.beanrunner;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Collections;
import java.util.Date;
import java.util.Random;

/**
 * A bean with simple values.  It also keeps track of what values were set.
 */

public class SimpleBean implements Serializable {
	
	private static final long serialVersionUID = 1L;
	
	private boolean booleanValue;
	private byte byteValue;
	private short shortValue;
	private char charValue;
	private int intValue;
	private long longValue;
	private float floatValue;
	private double doubleValue;
	private String stringValue;
	private Date dateValue;
	private Random randomValue;
	
	private Long longWrapperValue;

	private Collection stringValues = new ArrayList();
	private Collection intValues = new ArrayList();

	public byte getByteValue() {
		return byteValue;
	}
	public char getCharValue() {
		return charValue;
	}
	public Date getDateValue() {
		return dateValue;
	}
	public double getDoubleValue() {
		return doubleValue;
	}
	public float getFloatValue() {
		return floatValue;
	}
	public int getIntValue() {
		return intValue;
	}
	public long getLongValue() {
		return longValue;
	}
	public short getShortValue() {
		return shortValue;
	}
	public String getStringValue() {
		return stringValue;
	}
	public void setByteValue(byte byteValue) {
		this.byteValue = byteValue;
	}
	public void setCharValue(char charValue) {
		this.charValue = charValue;
	}
	public void setDateValue(Date dateValue) {
		this.dateValue = dateValue;
	}
	public void setDoubleValue(double doubleValue) {
		this.doubleValue = doubleValue;
	}
	public void setFloatValue(float floatValue) {
		this.floatValue = floatValue;
	}
	public void setIntValue(int intValue) {
		this.intValue = intValue;
		intValues.add(new Integer(intValue));
	}
	public void setLongValue(long longValue) {
		this.longValue = longValue;
	}
	public void setShortValue(short shortValue) {
		this.shortValue = shortValue;
	}
	public void setStringValue(String stringValue) {
		this.stringValue = stringValue;
		stringValues.add(stringValue);
	}
	public boolean isBooleanValue() {
		return booleanValue;
	}
	public void setBooleanValue(boolean booleanValue) {
		this.booleanValue = booleanValue;
	}
	public Random getRandomValue() {
		return randomValue;
	}
	public void setRandomValue(Random randomValue) {
		this.randomValue = randomValue;
	}
	public Collection listStringValues() {
		return stringValues;
	}
	public Collection listIntValues() {
		return Collections.unmodifiableCollection(intValues);
	}
	public Long getLongWrapperValue() {
		return longWrapperValue;
	}
	public void setLongWrapperValue(Long longWrapperValue) {
		this.longWrapperValue = longWrapperValue;
	}
}
